For the complete documentation index, see llms.txt. This page is also available as Markdown.

Chatbot Triggers

Lists all triggers for a chatbot.

get

Required Permission: chatbots.triggers.list

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

Responses
200

A list of all triggers.

application/json
errorstringOptional

Optional error message.

get/v1/chatbots/{chatbotId}/triggers
GET /v1/chatbots/{chatbotId}/triggers HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Accept: */*
{
  "triggers": [
    {
      "id": "8Qd7z4W6qm0m5w7e7O3a",
      "created": "2025-10-03T18:00:00Z",
      "updated": "2025-10-03T18:05:00Z",
      "event": "conversation_started",
      "payload": "welcome_message",
      "actor": {
        "flowId": "EeSDw4CwFPqrObmcvNuh",
        "stepId": "V1dBTyPkc6BdAxtfRPEm"
      }
    }
  ],
  "error": "text"
}

Last updated